#pragma once

#include <memory>
#include <string>

class Video
{
public:
    static std::unique_ptr<Video> Create();
    void SetPath(const std::string& path);
    std::string GetPath() const;

private:

    std::string mPath;
};

using VideoPtr = std::unique_ptr<Video>;
